Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ValueDomainPropertyBundle

    java.lang.Object

      |

      +--oracle.ifs.beans.LibraryObject

            |

            +--oracle.ifs.beans.TieLibraryObject

                  |

                  +--oracle.ifs.beans.PublicObject

                        |

                        +--oracle.ifs.beans.TiePublicObject

                              |

                              +--oracle.ifs.beans.ApplicationObject

                                    |

                                    +--oracle.ifs.beans.TieApplicationObject

                                          |

                                          +--oracle.ifs.beans.PropertyBundle

                                                |

                                                +--oracle.ifs.beans.TiePropertyBundle

                                                      |

                                                      +--oracle.ifs.beans.ValueDomainPropertyBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieValueDomainPropertyBundle

public class ValueDomainPropertyBundle
extends TiePropertyBundle

A ValueDomainPropertyBundle is a PropertyBundle containing a valid definition of a ValueDomain.

Field Summary
`static java.lang.String` | `CLASS_NAME` This class name for this class.
`static java.lang.String` | `DOMAINTYPE_ATTRIBUTE` The type of value domain -- enumeration, range, minimum, maximum, exclusive range, exclusive minimum, or exclusive maximum.

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, ADMINISTRATIONGROUP_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKEDFORSESSION_ATTRIBUTE, LOCKSTATE_ATTRIBUTE, LOCKSTATE_HARDLOCK, LOCKSTATE_SESSIONLOCK, LOCKSTATE_SOFTLOCK, LOCKSTATE_UNLOCK, LOCKSTATE_USERLOCK, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Method Summary
`int` | `getDomainType()` Gets the domain type of this ValueDomainPropertyBundle.
`java.lang.String` | `getDomainTypeLabel()` Gets the localized String label for the domain type set for this instance.
`AttributeValue` | `getPropertyValue()` Gets the values allowed for this ValueDomainPropertyBundle, as an array-type AttributeValue.
`void` | `setEnumeratedValues(java.util.Date[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(DirectoryObject[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(int[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.lang.Integer[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(long[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.lang.Long[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(PublicObject[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(SchemaObject[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(java.lang.String[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setEnumeratedValues(SystemObject[] values)` Sets the allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.util.Date maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(double maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.lang.Double maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(int maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.lang.Integer maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(long maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMaximumValue(java.lang.Long maximum)` Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.util.Date minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(double minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.lang.Double minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(int minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.lang.Integer minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(long minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveMinimumValue(java.lang.Long minimum)` Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.util.Date minimum, java.util.Date maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(double minimum, double maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.lang.Double minimum, java.lang.Double maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.lang.Integer minimum, java.lang.Integer maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(int minimum, int maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(long minimum, long maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setExclusiveValueRange(java.lang.Long minimum, java.lang.Long maximum)` Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.util.Date maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(double maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.lang.Double maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(int maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.lang.Integer maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(long maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMaximumValue(java.lang.Long maximum)` Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.util.Date minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(double minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.lang.Double minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(int minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.lang.Integer minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(long minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setMinimumValue(java.lang.Long minimum)` Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.
`void` | `setValueRange(java.util.Date minimum, java.util.Date maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setValueRange(double minimum, double maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setValueRange(java.lang.Double minimum, java.lang.Double maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setValueRange(java.lang.Integer minimum, java.lang.Integer maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setValueRange(int minimum, int maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setValueRange(long minimum, long maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.
`void` | `setValueRange(java.lang.Long minimum, java.lang.Long maximum)` Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

Methods inherited from class oracle.ifs.beans.PropertyBundle
`getProperties, getProperties, getPropertyValue, getPropertyValueByUpperCaseName, handleEvent, putPropertyValue, putPropertyValue, removeAllPropertyValues, removePropertyValue`

Methods inherited from class oracle.ifs.beans.PublicObject
`addCategory, addRelationship, checkEffectiveAccess, checkEffectiveAccess, copy, getAcl, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getCategories, getCategories, getCreateDate, getCreator, getDefaultAccessLevel, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFlags, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLockedState, getLockState, getLockStateLabel, getOwner, getPolicyBundle, getPropertyBundle, getResolvedPublicObject, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, grantAccess, hasNameAttribute, isLocked, isLockedForSession, isLockedForSessionByCurrentSession, isVersionable, isVersioned, lock, putPolicy, putProperty, putProperty, removeAllPolicies, removeAllProperties, removePolicy, removePolicy, removeProperty, removeRelationship, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setOwner, setPolicyBundle, setPropertyBundle, setSecuringPublicObject, toLockStateLabel, toLockStateLabel, toLockStateLabel, unlock`

Methods inherited from class oracle.ifs.beans.LibraryObject
`equals, free, free, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getClassId, getClassObject, getDefinition, getId, getLabel, getName, getSession, invokeServerMethod, isInstanceOf, isTraced, lookupInstanceLabel, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setName, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  This class name for this class. Useful for methods that take a class name argument.

### DOMAINTYPE_ATTRIBUTE

    public static final java.lang.String DOMAINTYPE_ATTRIBUTE

  The type of value domain -- enumeration, range, minimum, maximum, exclusive range, exclusive minimum, or exclusive maximum.

Method Detail

### setEnumeratedValues

    public final void setEnumeratedValues(int[] values)
                                   throws IfsException

  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have an `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(java.lang.Integer[] values)
                                   throws IfsException

  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have an `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(long[] values)
                                   throws IfsException

  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(java.lang.Long[] values)
                                   throws IfsException

  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(java.lang.String[] values)
                                   throws IfsException

  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `STRING` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(java.util.Date[] values)
                                   throws IfsException

  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(SchemaObject[] values)
                                   throws IfsException

  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `SCHEMAOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(SystemObject[] values)
                                   throws IfsException

  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `SYSTEMOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(PublicObject[] values)
                                   throws IfsException

  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `PUBLICOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setEnumeratedValues

    public final void setEnumeratedValues(DirectoryObject[] values)
                                   throws IfsException

  Sets the allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DIRECTORYOBJECT` data type and a domain type of `VALUEDOMAINTYPE_ENUMERATED`.

  Parameters:
    `values` - the values
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(int minimum,
                                    int maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(java.lang.Integer minimum,
                                    java.lang.Integer maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(long minimum,
                                    long maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(java.lang.Long minimum,
                                    java.lang.Long maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(double minimum,
                                    double maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(java.lang.Double minimum,
                                    java.lang.Double maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setValueRange

    public final void setValueRange(java.util.Date minimum,
                                    java.util.Date maximum)
                             throws IfsException

  Sets the minimum (inclusive) and maximum (inclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(int minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(java.lang.Integer minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(long minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(java.lang.Long minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(double minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(java.lang.Double minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMinimumValue

    public final void setMinimumValue(java.util.Date minimum)
                               throws IfsException

  Sets the minimum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(int maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(java.lang.Integer maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(long maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(java.lang.Long maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(double maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(java.lang.Double maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setMaximumValue

    public final void setMaximumValue(java.util.Date maximum)
                               throws IfsException

  Sets the maximum (inclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(int minimum,
                                             int maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.lang.Integer minimum,
                                             java.lang.Integer maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(long minimum,
                                             long maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.lang.Long minimum,
                                             java.lang.Long maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(double minimum,
                                             double maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.lang.Double minimum,
                                             java.lang.Double maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveValueRange

    public final void setExclusiveValueRange(java.util.Date minimum,
                                             java.util.Date maximum)
                                      throws IfsException

  Sets the minimum (exclusive) and maximum (exclusive) allowed values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_RANGE`.

  Parameters:
    `minimum` - the minimum value
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(int minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.lang.Integer minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(long minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.lang.Long minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(double minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.lang.Double minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMinimumValue

    public final void setExclusiveMinimumValue(java.util.Date minimum)
                                        throws IfsException

  Sets the minimum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MINIMUM`.

  Parameters:
    `minimum` - the minimum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(int maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.lang.Integer maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `INTEGER` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(long maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.lang.Long maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `LONG` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(double maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.lang.Double maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DOUBLE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### setExclusiveMaximumValue

    public final void setExclusiveMaximumValue(java.util.Date maximum)
                                        throws IfsException

  Sets the maximum (exclusive) values for this ValueDomainPropertyBundle.

  This ValueDomainPropertyBundle will have a `DATE` data type and a domain type of `VALUEDOMAINTYPE_EXCLUSIVE_MAXIMUM`.

  Parameters:
    `maximum` - the maximum value
  Throws:
    `IfsException` - if the operation fails

### getDomainType

    public final int getDomainType()
                            throws IfsException

  Gets the domain type of this ValueDomainPropertyBundle.
  Returns:
    the domain type
  Throws:
    `IfsException` - if the operation fails

### getDomainTypeLabel

    public java.lang.String getDomainTypeLabel()
                                        throws IfsException

  Gets the localized String label for the domain type set for this instance.
  Returns:
    the label corresponding to the domain type
  Throws:
    `IfsException` - if operation fails.

### getPropertyValue

    public AttributeValue getPropertyValue()
                                    throws IfsException

  Gets the values allowed for this ValueDomainPropertyBundle, as an array-type AttributeValue.

  The number of elements in the array-type AttributeValue depends on the domain type of this ValueDomainPropertyBundle:

  - `VALUEDOMAINTYPE_ENUMERATED`: one element for each allowed value
  - `VALUEDOMAINTYPE_RANGE` or `VALUEDOMAINTYPE_ENUMERATED_RANGE`: two elements; [0] is the minimum and [1] is the maximum value
  - `VALUEDOMAINTYPE_MINIMUM` or `VALUEDOMAINTYPE_ENUMERATED_MINIMUM`: one element; [0] is the minimum value
  - `VALUEDOMAINTYPE_MAXIMUM` or `VALUEDOMAINTYPE_ENUMERATED_MAXIMUM`: one element; [0] is the maximum value
  Returns:
    the values
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD